import codecs
import os
from setuptools import setup, find_packages

# these things are needed for the README.md show on pypi
here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()


VERSION = '1.0.3'
DESCRIPTION = 'Tools for designing bell nozzles'
LONG_DESCRIPTION = 'Tools for designing bell nozzles'

# Setting up
setup(
    name="Bell-Nozzle-master",
    version=VERSION,
    author="",
    author_email="",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(include=["Bell-Nozzle-master", "Bell-Nozzle-master.*"], ),
    install_requires=['requests>=2.25.1','numpy>=1.21.2','pandas>=1.3.2'],
    keywords=['python','nozzle','bell nozzle'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)